Subject: RE: syslog on solaris 2.5.1

From: "Roger A. Hanke" <[email-masked]>
Date: Wed, 14 May 1997 10:26:19 -0400

Darci,
 I have not tried going to a different file from the standard syslogd one.
But my understanding is that WUFTPD is just using the system syslogd
facility so there is nothing that needs to be changed with it. 
 The only thing I can suggest is the usual to make sure that syslogd
should be able to write to the new location but since it runs as root this 
shouldnt be an issue. Perhaps some of the other list folk who were kind
enough to send out the original syslogd information which I forwarded
on to you might have some thoughts on this?
	Roger Hanke

----------
From: 	Paradise Cowgirl[SMTP:[email-masked]]
Sent: 	Tuesday, May 13, 1997 8:20 PM
To: 	rah@lynxhub
Subject: 	syslog on solaris 2.5.1

Roger,

Darci, here, sometime keeper of the How-To Guide for wu-ftpd on
Solaris :-)

I included your entry regarding wu-ftpd logging in that document and now I
have questions. I'd like to have most daemon messages (info, notice, and
debug put into any other file BUT /var/adm/messages. I've updated my
syslog.conf file to include:

daemon.info;daemon.notice;daemon.debug          /var/log/daemon 

Additional daemon entries (that I have no control over) are:

*.alert;kern.err;daemon.err;user.none           operator 
daemon.notice                   /dev/console 
daemon.notice                   /nsr/logs/messages 
daemon.notice                   operator

I've HUPped syslogd and while messages are not longer showing up in
/var/adm/messages, they don't appear to be showing up in /var/log/daemon
either. Any suggestions? Any help you could provide would be GREATLY
appreciated! I'm sure I'm missing something obvious but after reading
the Solaris FAQ and review the wu-ftpd FAQs, I can't figure out what.

(Do I need to recompile wu-ftpd with some other PATH defined? The only
reference I could find was to XFERLOG, which is working fine)

Thanks!!

Regards,
Darci Chapman

---

From: Kent Landfield <[email-masked]>
Date: Wed, 14 May 1997 09:45:18 -0500 (CDT)

# I included your entry regarding wu-ftpd logging in that document and now I
# have questions. I'd like to have most daemon messages (info, notice, and
# debug put into any other file BUT /var/adm/messages. I've updated my
# syslog.conf file to include:
# 
# daemon.info;daemon.notice;daemon.debug          /var/log/daemon 
# 
# Additional daemon entries (that I have no control over) are:
# 
# *.alert;kern.err;daemon.err;user.none           operator 
# daemon.notice                   /dev/console 
# daemon.notice                   /nsr/logs/messages 
# daemon.notice                   operator
# 
# I've HUPped syslogd and while messages are not longer showing up in
# /var/adm/messages, they don't appear to be showing up in /var/log/daemon
# either. Any suggestions? Any help you could provide would be GREATLY
# appreciated! I'm sure I'm missing something obvious but after reading
# the Solaris FAQ and review the wu-ftpd FAQs, I can't figure out what.
# 
# (Do I need to recompile wu-ftpd with some other PATH defined? The only
# reference I could find was to XFERLOG, which is working fine)

You don't need to recompile unless you plan on changing the FACILITY
define to something other than the standard LOG_DAEMON.  

I currently have the following entries in my syslog file.  I list them
separately since I comment one or another out from time to time.

#
# FTPD Server Log Entries
#
#daemon.debug					/var/log/ftpd.log
daemon.info					/var/log/ftpd.log
daemon.notice					/var/log/ftpd.log
daemon.err					/var/log/ftpd.log
daemon.warning					/var/log/ftpd.log
daemon.warning					/dev/console
daemon.err					/dev/console

A couple things to remember...
    1. The file needs to exist and be writeable for syslog to write
       to it when you restart it or send it the sigHUP. (Or at least 
       it use to and I've just always done it that way. ;-) )

    2. Make sure that there are "tab" characters separating the 
       selector and the action. Otherwise the m4(1) processing 
       quietly ignores it.

Hope this helps.

-- 
Kent Landfield                        Phone: 1-817-545-2502             
The Landfield Group                   FAX:   1-817-545-7650             
Email: [email-masked]             http://www.landfield.com/
Please send comp.sources.misc related mail to [email-masked].
Search the Usenet Hypertext FAQ Archive at http://www.faqs.org/faqs/